﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_HeaderCaption
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = getData();
        }

        private DataTable getData()
        {
            DataColumn[] PrimaryColumn = new DataColumn[1];
            DataTable dt = new DataTable();
            PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Age", typeof(int));
            dt.Columns.Add("Prefecture\n都道府県", typeof(string));
            dt.Columns.Add("City", typeof(string));
            dt.Columns.Add("Note", typeof(string));
            dt.Rows.Add(1, "たかし", 28, "静岡県", "静岡市", "備考");
            dt.Rows.Add(2, "としひこ", 30, "大阪府", "大阪市", "備考");
            dt.Rows.Add(3, "じゅんこ", 27, "鳥取県", "鳥取市", "備考");
            dt.Rows.Add(4, "さとみ", 28, "神奈川県", "横浜市", "備考");
            dt.Rows.Add(5, "えりこ", 50, "東京都", "狛江市", "備考");
            dt.Rows.Add(6, "しんいち", 32, "島根県", "松江市", "備考");
            dt.Rows.Add(7, "ゆみこ", 37, "静岡県", "静岡市", "備考");
            dt.Rows.Add(8, "みな", 31, "兵庫県", "神戸市", "備考");
            dt.Rows.Add(9, "たくや", 40, "徳島県", "徳島市", "備考");
            dt.Rows.Add(10, "まゆ", 43, "三重県", "四日市市", "備考");
            dt.PrimaryKey = PrimaryColumn;

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            // ヘッダーに改行コードが１つ含まれている場合
            e.Layout.Bands[0].ColHeaderLines = 2;
        }
    }
}
